TagTestBase (Struts Taglib 1.3.10 Test API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib
Class TagTestBase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.struts.taglib.TagTestBase

All Implemented Interfaces:
  junit.framework.Test

Direct Known Subclasses:
  TestTagUtils

    public class TagTestBase

extends junit.framework.TestCase

Field Summary
`protected ModuleConfig` | `moduleConfig`
`protected ModuleConfig` | `moduleConfig2`
`protected ModuleConfig` | `moduleConfig3`
`protected org.apache.struts.mock.MockPageContext` | `pageContext`
`protected org.apache.struts.mock.MockHttpServletRequest` | `request`
`protected org.apache.struts.mock.MockServletConfig` | `servletConfig`
`protected org.apache.struts.mock.MockServletContext` | `servletContext`
`protected TagUtils` | `tagutils`

Constructor Summary
`TagTestBase()`
`TagTestBase(String theName)`

Method Summary
`protected void` | `putBundleInScope(int scope, boolean returnNull)`
`void` | `setUp()` Helper method that creates/configures a basic configuration of Mock Objects.
`void` | `tearDown()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### tagutils

    protected TagUtils tagutils

### servletConfig

    protected org.apache.struts.mock.MockServletConfig servletConfig

### servletContext

    protected org.apache.struts.mock.MockServletContext servletContext

### request

    protected org.apache.struts.mock.MockHttpServletRequest request

### pageContext

    protected org.apache.struts.mock.MockPageContext pageContext

### moduleConfig

    protected ModuleConfig moduleConfig

### moduleConfig2

    protected ModuleConfig moduleConfig2

### moduleConfig3

    protected ModuleConfig moduleConfig3

Constructor Detail

### TagTestBase

    public TagTestBase()

### TagTestBase

    public TagTestBase(String theName)

Method Detail

### setUp

    public void setUp()

  Helper method that creates/configures a basic configuration of Mock Objects. PageContext ServletConfig ServletContext HttpServletRequest HttpSession HttpServletResponse "/myapp", "/foo", null, null,

  Overrides:
    `setUp` in class `junit.framework.TestCase`

### tearDown

    public void tearDown()

  Overrides:
    `tearDown` in class `junit.framework.TestCase`

### putBundleInScope

    protected void putBundleInScope(int scope,
                                    boolean returnNull)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.